Subject: Ticket Assigned - CentrePoint - Quality Issues
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 07 Feb 2020 09:56:55 +0000

Hi Mhd Obiedo,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  CentrePoint - Quality Issues  Good Afternoon,

I am reaching out to you as I have concerns and doubts about the dropping service quality of Landmark & Centrepoint. There have been two recent instances (Nov & December) where the items delivered are either damaged or the order is misunderstood and wrongly delivered. For instance the order # 9764971382, which I returned Today. I had clearly ordered black pants to be delivered, yet the pants delivered are Blue! Not sure where to go from here.

Hope this matter is considered with utmost concern and urgency and I expect to see visiable and tangile corrective actions taken by Landmark.

Thanks,
Muhammad Ali

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/377522